AMRESTORE(8)

NAME
amrestore - extract backup images from an Amanda tape

SYNOPSIS
amrestore [ -r | -c | -C ] [ -p ] [ -h ] tapedevice | holdingfile [ hostname [ diskname [ datestamp [ hostname [ diskname [ datestamp ... ]]]]]]

DESCRIPTION
Amrestore extracts backup images from the tape mounted on tapedevice or from the holding file holdingfile that match hostname, diskname and datestamp patterns given on the command line. The tape or holding file must be in a format written by the amdump or amflush program.

If diskname is not specified, all backups on the tape for the previous hostname are candidates. If datestamp is not specified, all backups on the tape for the previous hostname and diskname are candidates. If no hostname, diskname or datestamp are specified, every backup on the tape is a candidate.

Hostname, diskname and datestamp are regular expressions that may match more than one backup. For example, if diskname is "rz[23]a", it would match disks rz2a and rz3a. Hostname, diskname or datestamp may be an empty string ("") to match every host, disk or date (this is just an abbreviation for ".*").

Datestamp is useful if amflush writes multiple backup runs to a single tape.

Unless -p is used, candidate backup images are extracted to files in the current directory named:

    hostname.diskname.datestamp.dumplevel

OPTIONS

-p  Pipe output. The first matching backup image is sent to standard output, which is normally a pipe to restore or tar, then amrestore quits. It may be run again to continue selecting backups to process. Make sure you specify the no-rewind tapedevice when doing this.

    Note: restore may report "short read" errors when reading from a pipe. Most versions of restore support a blocking factor option to let you set the read block size, and you should set it to 2. See the example below.

-c  Compress output using the fastest method the compression program provides. Amrestore normally writes output files in a format understood by restore or tar, even if the backups on the tape are compressed. With the -c or -C option, amrestore writes all files in compressed format, even if the backups on the tape are not compressed. Output file names will have a .Z or .gz extension depending on whether compress or gzip is the preferred compression program. This option is useful when the current directory disk is small.

-C  Compress output using the best method the compression program provides (may be very CPU intensive). See the notes above about the -c option.

-r  Raw output. Backup images are output exactly as they are on the tape, including the amdump headers. Output file names will have a .RAW extension. This option is only useful for debugging and other strange circumstances.

-h  Header output. The tape header block is output at the beginning of each file. This is like -r except -c or -C may also be used to compress the result. Amrecover uses the header to determine the restore program to use.

EXAMPLES
The following does an interactive restore of disk rz3g from host seine, to restore particular files. Note the use of the b option to restore, which causes it to read in units of two 512-byte blocks (1 Kbyte) at a time. This helps keep it from complaining about short reads.

        % amrestore -p /dev/nrmt9 seine rz3g | restore -ivbf 2 -

The next example extracts all backup images for host seine. This is the usual way to extract all data for a host after a disk crash.

        % amrestore /dev/nrmt9 seine

If the backup datestamp in the above example is 19910125 and seine has level 0 backups of disks rz1a and rz1g on the tape, these files will be created in the current directory:

        seine.rz1a.19910125.0
        seine.rz1g.19910125.0

You may also use amrestore to extract a backup image from a holding disk file that has not yet been flushed to tape:

        % amrestore -p /amanda/20001119/seine.rz1a.2 | restore -ivbf 2 -

AUTHOR
James da Silva <jds@cs.umd.edu>
University of Maryland, College Park

SEE ALSO
amanda(8), amdump(8), amflush(8), tar(1) restore(8)